Bug 170446 - Update net/samba36 to 3.6.7 version
Summary: Update net/samba36 to 3.6.7 version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-07 13:00 UTC by Andrey Simonenko
Modified: 2012-08-15 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (12.35 KB, patch)
2012-08-07 13:00 UTC, Andrey Simonenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Simonenko 2012-08-07 13:00:08 UTC
Please update net/samba36 to the 3.6.7 version.
Comment 1 Edwin Groothuis freebsd_committer 2012-08-07 13:00:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->timur

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-08-15 01:20:47 UTC
Author: delphij
Date: Wed Aug 15 00:20:31 2012
New Revision: 302548
URL: http://svn.freebsd.org/changeset/ports/302548

Log:
  Update to 3.6.7.
  
  PR:		ports/170446
  Submitted by:	Andrey Simonenko <simon comsys ntu-kpi kiev ua>
  Approved by:	timur

Modified:
  head/net/samba36/Makefile
  head/net/samba36/distinfo
  head/net/samba36/files/patch-source3__Makefile.in
  head/net/samba36/files/patch-source3__configure.in
  head/net/samba36/files/patch-source3__lib__fault.c
  head/net/samba36/files/patch-source3__lib__system.c
  head/net/samba36/files/patch-source3__m4__aclocal.m4
  head/net/samba36/files/patch-source3__smbd__quotas.c
  head/net/samba36/files/patch-source3__smbd__statvfs.c
  head/net/samba36/files/patch-source3__utils__net_time.c
  head/net/samba36/files/sernet.patch
  head/net/samba36/pkg-plist

Modified: head/net/samba36/Makefile
==============================================================================
--- head/net/samba36/Makefile	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/Makefile	Wed Aug 15 00:20:31 2012	(r302548)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=		${SAMBA_BASENAME}36
-PORTVERSION=		3.6.5
+PORTVERSION=		3.6.7
 PORTREVISION?=		0
 CATEGORIES?=		net
 MASTER_SITES=		${MASTER_SITE_SAMBA}

Modified: head/net/samba36/distinfo
==============================================================================
--- head/net/samba36/distinfo	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/distinfo	Wed Aug 15 00:20:31 2012	(r302548)
@@ -1,2 +1,2 @@
-SHA256 (samba-3.6.5.tar.gz) = 8af65ff3b8c1155e7897c89a895e3155534ec3c5b97877ee2f05fc9d8bab80c4
-SIZE (samba-3.6.5.tar.gz) = 29009444
+SHA256 (samba-3.6.7.tar.gz) = b858a0f011ba7fe554881b9c7e6cb1c9cb7face22ed86860f560fcaecc4ed4ca
+SIZE (samba-3.6.7.tar.gz) = 34067900

Modified: head/net/samba36/files/patch-source3__Makefile.in
==============================================================================
--- head/net/samba36/files/patch-source3__Makefile.in	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__Makefile.in	Wed Aug 15 00:20:31 2012	(r302548)
@@ -9,7 +9,7 @@
  LMHOSTSFILE = $(CONFIGDIR)/lmhosts
  NCALRPCDIR = @ncalrpcdir@
  
-@@ -1302,8 +1302,8 @@
+@@ -1303,8 +1303,8 @@
                   $(LIB_NONSMBD_OBJ) $(KRBCLIENT_OBJ) \
  		 $(LIBNDR_GEN_OBJ0)
  
@@ -20,7 +20,7 @@
  
  PAM_SMBPASS_OBJ_0 = pam_smbpass/pam_smb_auth.o pam_smbpass/pam_smb_passwd.o \
  		pam_smbpass/pam_smb_acct.o pam_smbpass/support.o ../lib/util/asn1.o
-@@ -1620,6 +1620,7 @@
+@@ -1621,6 +1621,7 @@
  
  .SUFFIXES:
  .SUFFIXES: .c .o .lo
@@ -28,7 +28,7 @@
  
  .PHONY: showflags SHOWFLAGS
  
-@@ -1681,6 +1682,9 @@
+@@ -1682,6 +1683,9 @@
  		$(COMPILE_CC) >/dev/null 2>&1
  @BROKEN_CC@	-mv `echo $@ | sed 's%^.*/%%g'` $@
  
@@ -38,7 +38,7 @@
  PRECOMPILED_HEADER = $(builddir)/include/includes.h.gch
  
  # this adds support for precompiled headers. To use it, install a snapshot
-@@ -2762,14 +2766,15 @@
+@@ -2763,14 +2767,15 @@
  		$(LDAP_LIBS) $(KRB5LIBS) $(LIBS) $(LIBTALLOC_LIBS) $(LIBTDB_LIBS) $(ZLIB_LIBS) \
  		@SONAMEFLAG@`basename $@`@NSSSONAMEVERSIONSUFFIX@
  
@@ -47,7 +47,7 @@
  	@echo "Linking $@"
 -	@$(SHLD) $(LDSHFLAGS) -o $@ $(WINBIND_KRB5_LOCATOR_OBJ) $(LIBWBCLIENT_LIBS) $(KRB5LIBS) \
 +	@$(SHLD) $(LDSHFLAGS) -o $@ $(WINBIND_KRB5_LOCATOR_OBJ) $(LIBTALLOC_LIBS) $(LIBWBCLIENT_LIBS) $(KRB5LIBS) \
- 		@SONAMEFLAG@`basename $@`
+ 		$(LIBREPLACE_LIBS) @SONAMEFLAG@`basename $@`
  
  bin/pam_winbind.@SHLIBEXT@: $(BINARY_PREREQS) $(PAM_WINBIND_OBJ) $(LIBTALLOC) $(LIBWBCLIENT)
  	@echo "Linking shared library $@"
@@ -56,7 +56,7 @@
  		$(LIBREPLACE_LIBS) $(LIBTALLOC_LIBS) $(LIBWBCLIENT_LIBS) @SONAMEFLAG@`basename $@`
  
  ##########
-@@ -3117,7 +3122,8 @@
+@@ -3122,7 +3127,8 @@
  	@echo "Linking shared library $@"
  	@$(SHLD) $(LDSHFLAGS) -o $@ $(PAM_SMBPASS_OBJ) $(LIBCLI_LDAP_NDR_OBJ) -lpam $(DYNEXP) \
  		$(LIBS) $(LDAP_LIBS) $(NSCD_LIBS) \

Modified: head/net/samba36/files/patch-source3__configure.in
==============================================================================
--- head/net/samba36/files/patch-source3__configure.in	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__configure.in	Wed Aug 15 00:20:31 2012	(r302548)
@@ -1,6 +1,18 @@
 --- ./source3/configure.in.orig	2011-08-09 13:17:47.000000000 +0200
 +++ ./source3/configure.in	2011-10-13 23:29:28.000000000 +0200
-@@ -831,9 +831,13 @@
+@@ -756,9 +756,9 @@
+ if test x"$ac_cv_header_md5_h" = x"yes"; then
+ 	AC_DEFINE(HAVE_MD5_H, 1,
+ 		[Whether md5.h is available.])
+-	AC_CHECK_LIB(md5, MD5Update,
++	AC_CHECK_LIB(md, MD5Update,
+ 	    [
+-		LIBS="${LIBS} -lmd5"
++		LIBS="${LIBS} -lmd"
+ 		CRYPTO_MD5_OBJ=
+ 		AC_DEFINE(HAVE_LIBMD5, 1,
+ 		    [Whether libmd5 conformant to rfc1321 is available.])],
+@@ -852,9 +852,13 @@
  	AC_PATH_PROG(CUPS_CONFIG, cups-config)
  
          if test "x$CUPS_CONFIG" != x; then
@@ -15,7 +27,7 @@
  		AC_CHECK_HEADERS(cups/cups.h cups/language.h)
  
  		if test x"$ac_cv_header_cups_cups_h" = xyes -a \
-@@ -842,7 +846,7 @@
+@@ -863,7 +867,7 @@
  			# underlinked. With cups-config --libs we pull in unwanted and unneeded
  			# dendencies including thread libraries - use cups-config only if really
  			# required. 
@@ -24,7 +36,7 @@
  				[PRINT_LIBS="$ac_save_PRINT_LIBS -lcups"],
  				[AC_MSG_WARN([your cups library doesn't link with -lcups alone, it might be underlinked.]) ;
  				 PRINT_LIBS="$ac_save_PRINT_LIBS `$CUPS_CONFIG --libs`"])
-@@ -852,10 +856,10 @@
+@@ -873,10 +877,10 @@
  			AC_CHECK_LIB_EXT(cups, PRINT_LIBS, httpConnectEncrypt)
  		else
  			AC_MSG_WARN([cups-config around but cups-devel not installed])
@@ -37,7 +49,7 @@
  
  	elif test x"$enable_cups" = x"yes"; then
  		AC_MSG_ERROR(Cups support required but cups-config not located.  Make sure cups-devel related files are installed.)
-@@ -1943,9 +1947,6 @@
+@@ -1964,9 +1968,6 @@
  AC_MSG_CHECKING([PICFLAG])
  AC_MSG_RESULT([$PICFLAG])
  
@@ -47,7 +59,7 @@
  AC_CACHE_CHECK([whether building shared libraries actually works],
                 [ac_cv_shlib_works],[
     # try building a trivial shared library
-@@ -4601,15 +4602,51 @@
+@@ -4624,15 +4625,51 @@
  		x"$ac_cv_header_pam_pam_modules_h" = x"no" ; then
  		if test x"${try_pam}" = x"yes";then
  			AC_MSG_ERROR([--with-pam=yes but pam_modules.h not found])
@@ -103,7 +115,7 @@
  
  		if test x"$create_pam_modules" = x"yes"; then
  			AC_DEFINE(WITH_PAM_MODULES,1,[Whether to include PAM MODULES support])
-@@ -4619,7 +4656,7 @@
+@@ -4642,7 +4679,7 @@
  			AC_CHECK_HEADERS(pam/pam_ext.h pam/_pam_macros.h)
  			AC_CHECK_FUNC_EXT(pam_vsyslog,$PAM_LIBS)
  		else
@@ -112,7 +124,7 @@
  		fi
  	fi
  	AC_MSG_CHECKING(whether to use PAM support)
-@@ -5821,9 +5858,17 @@
+@@ -5844,9 +5881,17 @@
  [AC_MSG_RESULT(no)])
  
  			AC_MSG_CHECKING(for aio_suspend)
@@ -133,7 +145,7 @@
  [AC_MSG_RESULT(no)])
  		fi
  
-@@ -6276,12 +6321,13 @@
+@@ -6299,12 +6344,13 @@
  		NSSSONAMEVERSIONSUFFIX=".2"
  		WINBIND_NSS_EXTRA_OBJS="../nsswitch/winbind_nss_linux.o"
  		;;
@@ -148,7 +160,7 @@
  		WINBIND_NSS="../nsswitch/nss_winbind.$SHLIBEXT"
  		WINBIND_WINS_NSS="../nsswitch/nss_wins.$SHLIBEXT"
  		;;
-@@ -6426,10 +6474,14 @@
+@@ -6451,10 +6497,14 @@
          AC_MSG_RESULT(no$winbind_no_reason)
  fi
  
@@ -163,7 +175,7 @@
  AC_SUBST(NSSSONAMEVERSIONSUFFIX)
  
  AC_SUBST(WINBIND_KRB5_LOCATOR)
-@@ -6745,13 +6797,21 @@
+@@ -6773,13 +6823,21 @@
  # Start
  AC_CHECK_FUNC(getmntent)
  
@@ -186,7 +198,7 @@
  		int main(void)
  		{
  			struct statfs fsd;
-@@ -7050,6 +7110,16 @@
+@@ -7079,6 +7137,16 @@
  	LIBS="$LIBS -ldmalloc"
  fi
  

Modified: head/net/samba36/files/patch-source3__lib__fault.c
==============================================================================
--- head/net/samba36/files/patch-source3__lib__fault.c	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__lib__fault.c	Wed Aug 15 00:20:31 2012	(r302548)
@@ -1,6 +1,6 @@
 --- ./source3/lib/fault.c.orig	2010-04-01 15:26:22.000000000 +0200
 +++ ./source3/lib/fault.c	2010-04-23 01:08:35.000000000 +0200
-@@ -25,6 +25,10 @@
+@@ -26,6 +26,10 @@
  #endif
  
  
@@ -11,7 +11,7 @@
  #ifdef HAVE_SYS_PRCTL_H
  #include <sys/prctl.h>
  #endif
-@@ -143,52 +147,93 @@
+@@ -144,52 +148,93 @@
   * before dump_core() calls abort.
   */
  #if (defined(FREEBSD) && defined(HAVE_SYSCTLBYNAME))
@@ -143,9 +143,9 @@
  }
  #endif
  
-@@ -204,8 +249,7 @@
- 	/* @todo: Add support for the linux corepath. */
- 
+@@ -248,8 +293,7 @@
+ {
+ #if (defined(FREEBSD) && defined(HAVE_SYSCTLBYNAME))
  	char *tmp_corepath = NULL;
 -	tmp_corepath = get_freebsd_corepath();
 -
@@ -153,7 +153,7 @@
  	/* If this has been set correctly, we're done. */
  	if (tmp_corepath) {
  		return tmp_corepath;
-@@ -281,7 +325,7 @@
+@@ -327,7 +371,7 @@
  	SAFE_FREE(logbase);
  }
  

Modified: head/net/samba36/files/patch-source3__lib__system.c
==============================================================================
--- head/net/samba36/files/patch-source3__lib__system.c	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__lib__system.c	Wed Aug 15 00:20:31 2012	(r302548)
@@ -1,6 +1,6 @@
 --- ./source3/lib/system.c.orig	2011-08-09 13:17:47.000000000 +0200
 +++ ./source3/lib/system.c	2011-10-13 23:38:02.000000000 +0200
-@@ -2584,14 +2584,14 @@
+@@ -2586,14 +2586,14 @@
  }
  
  /*******************************************************************

Modified: head/net/samba36/files/patch-source3__m4__aclocal.m4
==============================================================================
--- head/net/samba36/files/patch-source3__m4__aclocal.m4	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__m4__aclocal.m4	Wed Aug 15 00:20:31 2012	(r302548)
@@ -1,6 +1,6 @@
 --- ./source3/m4/aclocal.m4.orig	2011-08-09 13:17:47.000000000 +0200
 +++ ./source3/m4/aclocal.m4	2011-10-05 22:59:19.000000000 +0200
-@@ -379,11 +379,15 @@
+@@ -385,11 +385,15 @@
    ac_new_flags=""
    for i in [$]$1; do
      case [$]i in
@@ -18,7 +18,7 @@
  ])
  
  dnl Removes '-L/usr/lib[/]', '-Wl,-rpath,/usr/lib[/]'
-@@ -431,104 +435,81 @@
+@@ -437,104 +441,81 @@
    dnl those with the standalone portable libiconv installed).
    AC_MSG_CHECKING(for iconv in $1)
      jm_cv_func_iconv="no"

Modified: head/net/samba36/files/patch-source3__smbd__quotas.c
==============================================================================
--- head/net/samba36/files/patch-source3__smbd__quotas.c	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__smbd__quotas.c	Wed Aug 15 00:20:31 2012	(r302548)
@@ -1,6 +1,6 @@
 --- ./source3/smbd/quotas.c.orig	2010-04-01 15:26:22.000000000 +0200
 +++ ./source3/smbd/quotas.c	2010-04-23 01:08:35.000000000 +0200
-@@ -1035,6 +1035,7 @@
+@@ -1235,6 +1235,7 @@
  	if (!cutstr)
  		return False;
  
@@ -8,7 +8,7 @@
  	memset(cutstr, '\0', len+1);
  	host = strncat(cutstr,mnttype, sizeof(char) * len );
  	DEBUG(5,("nfs_quotas: looking for mount on \"%s\"\n", cutstr));
-@@ -1043,7 +1044,7 @@
+@@ -1243,7 +1244,7 @@
  	args.gqa_pathp = testpath+1;
  	args.gqa_uid = uid;
  

Modified: head/net/samba36/files/patch-source3__smbd__statvfs.c
==============================================================================
--- head/net/samba36/files/patch-source3__smbd__statvfs.c	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__smbd__statvfs.c	Wed Aug 15 00:20:31 2012	(r302548)
@@ -8,7 +8,7 @@
     Copyright (C) James Peach				2006
     
     This program is free software; you can redistribute it and/or modify
-@@ -47,9 +48,42 @@
+@@ -49,9 +50,42 @@
  	}
  	return result;
  }
@@ -18,8 +18,7 @@
 +{
 +	struct statfs statfs_buf;
 +	int result;
- 
--#if defined(DARWINOS)
++
 +	result = statfs(path, &statfs_buf);
 +	if(result != 0) {
 +		return result;
@@ -45,7 +44,8 @@
 +		statbuf->FsCapabilities |= FILE_VOLUME_QUOTAS;
 +	if(statfs_buf.f_flags & MNT_RDONLY)
 +		statbuf->FsCapabilities |= FILE_READ_ONLY_VOLUME;
-+
+ 
+-#if defined(DARWINOS)
 +	return 0;
 +}
 +
@@ -53,7 +53,7 @@
  
  #include <sys/attr.h>
  
-@@ -135,6 +169,8 @@
+@@ -137,6 +171,8 @@
  {
  #if defined(LINUX) && defined(HAVE_FSID_INT)
  	return linux_statvfs(path, statbuf);

Modified: head/net/samba36/files/patch-source3__utils__net_time.c
==============================================================================
--- head/net/samba36/files/patch-source3__utils__net_time.c	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/patch-source3__utils__net_time.c	Wed Aug 15 00:20:31 2012	(r302548)
@@ -1,6 +1,6 @@
 --- ./source3/utils/net_time.c.orig	2010-04-01 15:26:22.000000000 +0200
 +++ ./source3/utils/net_time.c	2010-04-23 01:08:35.000000000 +0200
-@@ -85,10 +85,15 @@
+@@ -87,10 +87,15 @@
  	if (!tm) {
  		return "unknown";
  	}

Modified: head/net/samba36/files/sernet.patch
==============================================================================
--- head/net/samba36/files/sernet.patch	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/files/sernet.patch	Wed Aug 15 00:20:31 2012	(r302548)
@@ -16,7 +16,7 @@ diff --git a/lib/util/util_net.c b/lib/u
 index 0ce495e..0511a28 100644
 --- a/lib/util/util_net.c
 +++ b/lib/util/util_net.c
-@@ -351,13 +351,11 @@ bool is_broadcast_addr(const struct sockaddr *pss)
+@@ -353,13 +353,11 @@
  }
  
  /**

Modified: head/net/samba36/pkg-plist
==============================================================================
--- head/net/samba36/pkg-plist	Wed Aug 15 00:18:40 2012	(r302547)
+++ head/net/samba36/pkg-plist	Wed Aug 15 00:20:31 2012	(r302548)
@@ -40,7 +40,7 @@ sbin/nmbd
 %%EXAMPLESDIR%%/LDAP/ol-schema-migrate.pl
 %%EXAMPLESDIR%%/LDAP/samba-nds.schema
 %%EXAMPLESDIR%%/LDAP/samba-schema-FDS.ldif
-%%EXAMPLESDIR%%/LDAP/samba-schema-netscapeds5.x
+%%EXAMPLESDIR%%/LDAP/samba-schema-netscapeds5.x.README
 %%EXAMPLESDIR%%/LDAP/samba-schema.IBMSecureWay
 %%EXAMPLESDIR%%/LDAP/samba.ldif
 %%EXAMPLESDIR%%/LDAP/samba.schema
@@ -52,8 +52,10 @@ sbin/nmbd
 %%EXAMPLESDIR%%/VFS/autogen.sh
 %%EXAMPLESDIR%%/VFS/config.guess
 %%EXAMPLESDIR%%/VFS/config.sub
+%%EXAMPLESDIR%%/VFS/configure
 %%EXAMPLESDIR%%/VFS/configure.in
 %%EXAMPLESDIR%%/VFS/install-sh
+%%EXAMPLESDIR%%/VFS/module_config.h.in
 %%EXAMPLESDIR%%/VFS/shadow_copy_test.c
 %%EXAMPLESDIR%%/VFS/skel_opaque.c
 %%EXAMPLESDIR%%/VFS/skel_transparent.c
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Xin LI freebsd_committer 2012-08-15 01:20:49 UTC
State Changed
From-To: open->closed

Committed, thanks! 


Comment 4 Xin LI freebsd_committer 2012-08-15 01:20:49 UTC
Responsible Changed
From-To: timur->delphij

Timur approved the patch via private mail but assume responsibility 
because I've committed the changeset.